<template>
  <div
    :style="cssProps"
  ></div>
</template>

<script>
export default {
  props: {
    src: {
      type: String
    },
    color: {
      type: String
    },
    size: {
      type: String
    }
  },
  computed:{
    cssProps() {
      return {
        '--icon': `url(/images/svg/${this.src}.svg)`,
        '--bgcolor': this.color || "black",
        'height': this.size || "auto",
        'width': this.size || "auto"
      }
    }
  }
};
</script>

<style scoped lang="scss">
html{
  --zzzz: green;
}

div {
  -webkit-mask: var(--icon) no-repeat center;
  mask: var(--icon) no-repeat center;
  background-color: var(--bgcolor);

  transition: 0.2s ease all;


  height: 100%;
  width: 100%;
}
</style>
